// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "main.hpp"
#include "display/RenderHost.hpp"
#include "game/Game.hpp"

using namespace Dawn;

int32_t main() {
  auto game = std::make_shared<Game>();
  game->init();

  while(!game->isCloseRequested()) {
    game->update();
  }

  return 0;
}